メインコンテンツへスキップ
POST

承認

Authorization
string
header
必須

Bearer Token を使用して認証します。 形式: Authorization: Bearer sk-xxxxxx

ボディ

application/json
model
enum<string>
必須

必須。外部公開モデル名。gemini-omni は /v1/videos から呼び出せます。

利用可能なオプション:
sora-2,
sora-2-pro,
gemini-omni,
happyhorse-1.0,
happyhorse-1.0-i2v,
happyhorse-1.0-t2v,
happyhorse-1.0-r2v,
happyhorse-1.0-video-edit,
doubao-seedance-1-0-lite-i2v-250428,
doubao-seedance-1-0-lite-t2v-250428,
doubao-seedance-1-0-pro-250528,
doubao-seedance-1-0-pro-fast-251015,
doubao-seedance-1-5-pro-251215,
doubao-seedance-2-0-260128,
doubao-seedance-2-0-fast-260128,
sd-2-5,
veo3,
veo3-fast,
veo3-fast-frames,
veo3-frames,
veo3-pro,
veo3-pro-frames,
veo3.1,
veo3.1-4k,
veo3.1-components,
veo3.1-fast,
veo3.1-pro,
veo3.1-pro-4k,
grok-imagine-1.0-video,
grok-imagine-video-1.5-preview,
grok-video-3,
minimax-h3,
hailuo-2.3,
viduq3-turbo,
vidu-q4,
vidu-q4-540p
例:

"sora-2"

prompt
string
必須

共通プロンプトの入力欄。ほとんどのモデルで必須です。

image
file

単一画像エントリ。一部の互換モードでは images にマッピングされます。

duration
integer

duration の統一された入力パラメータです。一部のモデルでは seconds も受け付けます。

width
integer

Video width

例:

512

height
integer

Video height

例:

512

fps
integer

Video frame rate

例:

30

seed
integer

Random seed

例:

20231234

n
integer

Number of videos to generate

例:

1

response_format
string

Response format

例:

"url"

user
string

User identifier

例:

"user-1234"

metadata
object

動的拡張フィールドコンテナです。モデル固有の大量のフィールドがここからデシリアライズされます。

mode
string

任意、動画生成モード。 gemini-omni は t2v、r2v、edit をサポートします。

images
string[]

複数画像の統一エントリ。Vidu、Seedance、Veo などで使用されます。

content
object[]
size
string

サイズの統一入力口で、resolution/aspect_ratio などにマッピングされます。

seconds
string

Sora の互換エントリ。実行時には duration にフォールバックします。

input_reference
string

Sora/Veo 互換の参照画像エントリ。multipartファイルまたは互換オブジェクトを指定できます。

parameters
object
audio_urls
string[]

Vidu Q4 の参照音声。MP3 は最大 3 本、各 3~12 秒、最大 50MB。audio ブールスイッチとは別です。

resolution
string

出力解像度。一般的な値は 540p、720p、1080p です。

レスポンス

動画タスクの作成に成功しました

id
string
必須
object
string
必須
model
string
必須
status
enum<string>
必須

Should use VideoStatus constants: VideoStatusQueued, VideoStatusInProgress, VideoStatusCompleted, VideoStatusFailed

利用可能なオプション:
queued,
in_progress,
completed,
failed,
video_url,
url,
completed_at
progress
integer
必須
created_at
integer
必須
task_id
string

レガシーAPI互換(非推奨予定)

completed_at
integer
expires_at
integer
seconds
string
size
string
remixed_from_video_id
string
error
object
metadata
object
output
object
request_id
string